defApplication('sroyTest', 'testApp') {|app|

app.shortDescription = "This is a simple test" 
app.path="/root/pigeonCode/home 32000 33000 31000" 


app.defMeasurement('info') do |mp|
     mp.defMetric('ID',:float)
     mp.defMetric('protocol',:string)
end

}

defGroup('worker', "omf.nicta.node2") {|node|

node.addApplication('sroyTest') {|app|
app.measure('info', :interval => 3)
}

}

onEvent(:ALL_UP_AND_INSTALLED) do |event|
info "This is my first OMF experiment" 

wait 10

allGroups.startApplications
info "All my Applications are started now..." 

wait 100 
allGroups.stopApplications
info "All my Applications are stopped now." 

Experiment.done

end
