defApplication('Home', 'HomeApp') {|app|

app.shortDescription = "This is a simple home app test" 
app.path="/root/pigeonCode/app 32000 33000 31000" 


app.defMeasurement('infoHome') do |mp|
     mp.defMetric('ID',:long)
     mp.defMetric('description',:string)
end

}


defApplication('Foreign', 'ForeignApp') {|app|

app.shortDescription = "This is a simple foreign app test" 
app.path="/root/pigeonCode/app 32000 33000 31000" 


app.defMeasurement('infoForeign') do |mp|
     mp.defMetric('ID',:long)
     mp.defMetric('description',:string)
end

}


defGroup('homeHosts', "omf.nicta.node5") {|node|

node.addApplication('Home') {|app|
#app.measure('info', :interval => 10)
app.measure('infoHome', :samples => 1)
}

}


defGroup('foreignHosts', "omf.nicta.node10") {|node|

node.addApplication('Foreign') {|app|
#app.measure('info', :interval => 10)
app.measure('infoForeign', :samples => 1)
}

}

onEvent(:ALL_UP_AND_INSTALLED) do |event|
info "This is my first OMF experiment" 

wait 10

allGroups.startApplications
info "All my Applications are started now..." 

wait 100 
allGroups.stopApplications
info "All my Applications are stopped now." 

Experiment.done

end
