defGroup('homeHosts', [1,4]) {|node|


 node.net.w0.mode = "adhoc"
 node.net.w0.type = 'g'
 node.net.w0.channel = "6"
 node.net.w0.essid = "sroytest"
 node.net.w0.ip = "192.168.0.1"



}


defGroup('foreignHosts', [1,3]) {|node|

 node.net.w0.mode = "adhoc"
 node.net.w0.type = 'g'
 node.net.w0.channel = "6"
 node.net.w0.essid = "sroytest"
 node.net.w0.ip = "192.168.0.3"



}


defGroup('pigeons', [1,2]) {|node|


 node.net.w0.mode = "adhoc"
 node.net.w0.type = 'g'
 node.net.w0.channel = "6"
 node.net.w0.essid = "sroytest"
 node.net.w0.ip = "192.168.0.2"


}


whenAllInstalled() {|node|

info "This is my first OMF experiment" 

wait 10

group("homeHosts").startApplications

group("foreignHosts").startApplications

wait 5

group("pigeons").startApplications

info "All my Applications are started now..." 

wait 200

group("pigeons").exec("killall -s9 app")

wait 5
 
group("homeHosts").exec("killall -s9 app")

group("foreignHosts").exec("killall -s9 app")

allGroups.stopApplications
info "All my Applications are stopped now." 

Experiment.done

}
